Reply

Re: The Firmware Is Not Compatible With Your Router. Error -2

hbk_seanmichael
Aspirant

The Firmware Is Not Compatible With Your Router. Error -2

The R7000 is advertised (literally by Netgear themselves) as an open source capable router.  I am trying to flash to XWRT Vortex by Merlin via the Netgear interface and i get the error message The Firmware Is Not Compatible With Your Router. Error -2.

 

I tried to flash official Netgear firmware that I downloaded off Netgear.com and it gives me the same damn message.......

Model: R7000|AC1900 Smart WIFI Router
Message 1 of 5

Accepted Solutions
antinode
Guru

Re: The Firmware Is Not Compatible With Your Router. Error -2

> The box says [...]

 

   You win on that one.

 

> Current firmware is V1.0.9.88_10.2.88

 

   Not the latest, but it might not admit that.

 

      https://community.netgear.com/t5/x/x/m-p/2069376#M186506

 

> I tried to flash Netgear firmware V1.0.0.96_1.0.15 and
> V1.0.3.80_1.1.38 [...]

 

   Those are not complete file names, and, as R7000 firmware versions,
they'd be very old.  I'd try something newer.

 

> I also tried to flash the XWRT firmware that I downloaded directly
> from their website [...]


   Again, I can't see the actual/complete file name.

 

   I know nothing about that third-party firmware, but if you're trying
to load a ".zip" archive instead of a ".chk" file, then I'd expect
problems.

View solution in original post

Message 4 of 5

All Replies
antinode
Guru

Re: The Firmware Is Not Compatible With Your Router. Error -2

> The R7000 is advertised (literally by Netgear themselves) as an open
> source capable router. [...]

 

   Who, exactly, said what, exactly, where, exactly?

 

> [...] I am trying to flash to XWRT Vortex by Merlin via the Netgear
> interface and i get the error message The Firmware Is Not Compatible
> With Your Router. Error -2.

 

   Which file, exactly, did you try to load into the router?

 

> I tried to flash official Netgear firmware that I downloaded off
> Netgear.com [...]

 

   Which file, exactly, did you try to load into the router?

 

> [...] and it gives me the same damn message.......

 

   What, exactly, does it say after "Model" on the product label?  What
is the current firmware version?

Message 2 of 5
hbk_seanmichael
Aspirant

Re: The Firmware Is Not Compatible With Your Router. Error -2


@antinode wrote:

> The R7000 is advertised (literally by Netgear themselves) as an open
> source capable router. [...]

 

   Who, exactly, said what, exactly, where, exactly?

 

> [...] I am trying to flash to XWRT Vortex by Merlin via the Netgear
> interface and i get the error message The Firmware Is Not Compatible
> With Your Router. Error -2.

 

   Which file, exactly, did you try to load into the router?

 

> I tried to flash official Netgear firmware that I downloaded off
> Netgear.com [...]

 

   Which file, exactly, did you try to load into the router?

 

> [...] and it gives me the same damn message.......

 

   What, exactly, does it say after "Model" on the product label?  What
is the current firmware version?




The box says supports Opensource and then the link www.myopenrouter.com

 

Model says R7000-100NAS I just got it today.

 

Current firmware is V1.0.9.88_10.2.88

 

I tried to flash Netgear firmware V1.0.0.96_1.0.15 and V1.0.3.80_1.1.38 through the Netgear interface. I tried 2 different browsers on my laptop on mobile.  Both files were downloaded off this website.

 

I also tried to flash the XWRT firmware that I downloaded directly from their website http://xvtx.ru/xwrt/download.htm

Their firmware I tried was R7000_380.70_0 and also the original R7000_378.54_2

 

Message 3 of 5
antinode
Guru

Re: The Firmware Is Not Compatible With Your Router. Error -2

> The box says [...]

 

   You win on that one.

 

> Current firmware is V1.0.9.88_10.2.88

 

   Not the latest, but it might not admit that.

 

      https://community.netgear.com/t5/x/x/m-p/2069376#M186506

 

> I tried to flash Netgear firmware V1.0.0.96_1.0.15 and
> V1.0.3.80_1.1.38 [...]

 

   Those are not complete file names, and, as R7000 firmware versions,
they'd be very old.  I'd try something newer.

 

> I also tried to flash the XWRT firmware that I downloaded directly
> from their website [...]


   Again, I can't see the actual/complete file name.

 

   I know nothing about that third-party firmware, but if you're trying
to load a ".zip" archive instead of a ".chk" file, then I'd expect
problems.

Message 4 of 5
hbk_seanmichael
Aspirant

Re: The Firmware Is Not Compatible With Your Router. Error -2

Yeah they are all .chk files.  Yeah the interface says there are no updates available. I downloaded the latest off the support page and it updated. So looks like that old firmware was locking me in. Thank you though. All fixed now.


@antinode wrote:

> The box says [...]

 

   You win on that one.

 

> Current firmware is V1.0.9.88_10.2.88

 

   Not the latest, but it might not admit that.

 

      https://community.netgear.com/t5/x/x/m-p/2069376#M186506

 

> I tried to flash Netgear firmware V1.0.0.96_1.0.15 and
> V1.0.3.80_1.1.38 [...]

 

   Those are not complete file names, and, as R7000 firmware versions,
they'd be very old.  I'd try something newer.

 

> I also tried to flash the XWRT firmware that I downloaded directly
> from their website [...]


   Again, I can't see the actual/complete file name.

 

   I know nothing about that third-party firmware, but if you're trying
to load a ".zip" archive instead of a ".chk" file, then I'd expect
problems.


 

Message 5 of 5
Discussion stats
  • 4 replies
  • 676 views
  • 1 kudo
  • 2 in conversation
Announcements

Orbi WiFi 6E